Package com.usatiuk.dhfs.repository

# Interface OpPushRequestOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `OpPushRequest`, `OpPushRequest.Builder`

public interface OpPushRequestOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`OpP`
`getMsg(int index)`
`repeated .dhfs.sync.OpP msg = 2;`
`int`
`getMsgCount()`
`repeated .dhfs.sync.OpP msg = 2;`
`List<OpP>`
`getMsgList()`
`repeated .dhfs.sync.OpP msg = 2;`
`OpPOrBuilder`
`getMsgOrBuilder(int index)`
`repeated .dhfs.sync.OpP msg = 2;`
`List<? extends OpPOrBuilder>`
`getMsgOrBuilderList()`
`repeated .dhfs.sync.OpP msg = 2;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getMsgList

List<OpP> getMsgList()
`repeated .dhfs.sync.OpP msg = 2;`

### getMsg

OpP getMsg(int index)
`repeated .dhfs.sync.OpP msg = 2;`

### getMsgCount

int getMsgCount()
`repeated .dhfs.sync.OpP msg = 2;`

### getMsgOrBuilderList

List<? extends OpPOrBuilder> getMsgOrBuilderList()
`repeated .dhfs.sync.OpP msg = 2;`

### getMsgOrBuilder

OpPOrBuilder getMsgOrBuilder(int index)
`repeated .dhfs.sync.OpP msg = 2;`